<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="{% block meta_description %}{{ SITENAME }}, {{ TAGLINE }}{% endblock meta_description %}">

    {% if FEED_ALL_ATOM %}
        <link rel="alternate"  href="{{ FEED_DOMAIN }}/{{ FEED_ALL_ATOM }}" type="application/atom+xml" title="{{ SITENAME }} Full Atom Feed"/>
    {% endif %}
    {% if FEED_ALL_RSS %}
        <link rel="alternate" href="{{ FEED_DOMAIN }}/{{ FEED_ALL_RSS }}" type="application/rss+xml" title="{{ SITENAME }} Full RSS Feed"/>
    {% endif %}
    {% if FEED_ATOM %}
        <link rel="alternate" href="{{ FEED_DOMAIN }}/{{ FEED_ATOM }}" type="application/atom+xml" title="{{ SITENAME }} Atom Feed"/>
    {% endif %}
    {% if FEED_RSS %}
        <link rel="alternate" href="{{ FEED_DOMAIN }}/{{ FEED_RSS }}" type="application/rss+xml" title="{{ SITENAME }} RSS Feed"/>
    {% endif %}

    {% block head %}
        <title>{% block title %}{{ SITENAME }} // {{ TAGLINE }}{% endblock title %}</title>
    {% endblock head %}

    {% if FAVICON_URL %}
    <link href="{{ FAVICON_URL }}" rel="icon">
    {% endif %}

    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/pure/0.3.0/pure-min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.10/css/brands.css" integrity="sha384-KtmfosZaF4BaDBojD9RXBSrq5pNEO79xGiggBxf8tsX+w2dBRpVW5o0BPto2Rb2F" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.10/css/fontawesome.css" integrity="sha384-8WwquHbb2jqa7gKWSoAwbJBV2Q+/rQRss9UXL5wlvXOZfSodONmVnifo/+5xJIWX" crossorigin="anonymous">
    <link rel="stylesheet" href="{{ SITEURL }}/theme/css/pure.css">
    {% block head_css %}{% endblock %}

    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/2.0.3/jquery.min.js"></script>
    {% block head_js %}{% endblock %}
</head>

<body>
    <div class="pure-g-r" id="layout">
        <div class="sidebar pure-u">
            <div class="cover-img" {% if COVER_IMG_URL -%}
                style="background-image: url('{% block sidebar %}{{ COVER_IMG_URL }}{% endblock %}')"
                {%- else -%}
                style="background: none repeat scroll 0% 0% #3D4F5D"
                {%- endif -%}>
                <div class="cover-body">
                    <header class="header">
                        <hgroup>
                            {% if PROFILE_IMG_URL %}
                            <img class="avatar" src="{{ PROFILE_IMG_URL }}">
                            {% endif %}
                            <h1 class="brand-main"><a href="{{ SITEURL }}">{{ SITENAME }}</a></h1>
                            <p class="tagline">{{ TAGLINE }}</p>
                            {% for title, link in MENUITEMS %}
                                <p class="links"><a href="{{ link }}">{{ title }}</a></p>
                            {% endfor %}
                            {% if DISPLAY_PAGES_ON_MENU %}
                            {% for page in PAGES %}
                                <p class="links"><a href="{{ SITEURL }}/pages/{{ page.slug }}">{{ page.title }}</a></p>
                            {% endfor %}
                            {% endif %}
                                <p class="social">
                            {% for title, link in SOCIAL %}
                                    <a href="{{ link }}">
                                        <i class="fab fa-{{ title }} fa-3x"></i>
                                    </a>
                            {% endfor %}
                                </p>
                        </hgroup>
                    </header>
                </div>
            </div>
        </div>
        {% block content %}
        {% endblock %}
    </div>
    <script>
        var $top = $('.go-top');

        // Show or hide the sticky footer button
        $(window).scroll(function() {
            if ($(this).scrollTop() > 200) {
                $top.fadeIn(200);
            } else {
                $top.fadeOut(200);
            }
        });

        // Animate the scroll to top
        $top.click(function(event) {
            event.preventDefault();
            $('html, body').animate({scrollTop: 0}, 300);
        })

        // Makes sure that the href="#" attached to the <a> elements
        // don't scroll you back up the page.
        $('body').on('click', 'a[href="#"]', function(event) {
            event.preventDefault();
        });
    </script>
    {% include 'analytics.html' %}
</body>
</html>
